## pgcharts 1.0+2017-09-16

=== debian/changelog ===
pgcharts (1.0+2017-09-16-1) unstable; urgency=medium

  * Team upload with new upstream snapshot.
  * Add B-D on cl-named-readtables. (Closes: #880090)
  * Remove /var/log/pgcharts/ on purge. (Closes: #814653)
  * Remove debian/home/ on clean.
  * Priority: optional.
  * Run wrap-and-sort -st.

 -- Christoph Berg <myon@debian.org>  Sun, 13 Jan 2019 12:59:09 +0100

pgcharts (1.0-2) unstable; urgency=medium

  * Improve packaging with a system pgcharts user

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 03 Sep 2015 16:28:44 +0300

pgcharts (1.0-1) unstable; urgency=medium

  * First release.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 10 Sep 2014 16:38:38 +0400
