=== debian/control ===
Source: pgcharts
Priority: optional
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends:
 buildapp (>= 1.5),
 cl-alexandria,
 cl-asdf (>= 3.0.3),
 cl-bordeaux-threads (>= 0.8.3),
 cl-closer-mop,
 cl-curry-compose-reader-macros,
 cl-daemon,
 cl-drakma,
 cl-esrap,
 cl-graph,
 cl-hunchentoot,
 cl-metabang-bind,
 cl-named-readtables,
 cl-postmodern,
 cl-ppcre,
 cl-py-configparser,
 cl-simple-date,
 cl-split-sequence,
 cl-trivial-backtrace,
 cl-who,
 cl-yason,
 debhelper (>= 9),
 ruby-ronn,
 sbcl (>= 1.2.0),
Standards-Version: 4.3.0
Section: non-free/database
Homepage: https://github.com/dimitri/pgcharts
Vcs-Git: https://github.com/dimitri/pgcharts.git
Vcs-Browser: https://github.com/dimitri/pgcharts

Package: pgcharts
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: turn your PostgreSQL queries into charts
 pgcharts is a little web application that takes as input an SQL query text
 and outputs its data in one of the following forms: html table, column
 chart, bar chart, pie chart, donut chart.
